'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PLUGIN_NAME = exports.$debug = undefined;

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol ? "symbol" : typeof obj; };

exports.makeLiteral = makeLiteral;
exports.getExportNameForType = getExportNameForType;

var _babelTypes = require('babel-types');

var t = _interopRequireWildcard(_babelTypes);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var $debug = exports.$debug = function $debug() {};
// export const $debug = console.error.bind(console);

var PLUGIN_NAME = exports.PLUGIN_NAME = 'babel-plugin-flow-react-proptypes';

function makeLiteral(value) {
  if (typeof value === 'string') return t.stringLiteral(value);else if (typeof value === 'number') return t.numericLiteral(value);else if (typeof value === 'boolean') return t.booleanLiteral(value);else {
    $debug('Encountered invalid literal', value);
    throw new TypeError('Invalid type supplied, this is a bug in ' + PLUGIN_NAME + ', typeof is ' + (typeof value === 'undefined' ? 'undefined' : _typeof(value)) + ' with value ' + value);
  }
}

function getExportNameForType(name) {
  return 'babelPluginFlowReactPropTypes_proptype_' + name;
}